import axios from '@/utils/request'

export function getBizDetailList(params) {
  return axios({
    url: "/udiwms/inout/bizDetail/filterList",
    method: "get",
    params: params
  });
}

export function getBizDetailListInv(params) {
  return axios({
    url: "/udiwms/inout/bizDetail/filterListInv",
    method: "get",
    params: params
  });
}


export function filterListInvoice(params) {
  return axios({
    url: "/udiwms/inout/bizDetail/filterListInvoice",
    method: "get",
    params: params
  });
}

export function deleteById(params) {
  return axios({
    url: "/udiwms/inout/biz/deleteById",
    method: "post",
    data: params
  });
}

export function updateById(data) {
  return axios({
    url: "/udiwms/inout/biz/updateById",
    method: "post",
    data: data
  });
}

export function updateBizById(data) {
  return axios({
    url: "/udiwms/inout/bizDetail/updateById",
    method: "post",
    data: data
  });
}

export function insertInvoice(params) {
  return axios({
    url: "/udiwms/inout/biz/insertInvoice",
    method: "post",
    data: params
  });
}

export function parseInvoice(params) {
  return axios({
    url: "/udiwms/inout/biz/parseInvoice",
    method: "get",
    params: params
  });
}

export function updateorderBiz(params) {
  return axios({
    url: "/udiwms/inout/biz/updateorderBiz",
    method: "post",
    data: params
  });
}


export function getCheckDetailList(params) {
  return axios({
    url: "/udiwms/inout/wditCheck/filterList",
    method: "get",
    params: params
  });
}

export function getWaitAllocateList(params) {
  return axios({
    url: "/udiwms/inout/waitAllocate/filterList",
    method: "get",
    params: params
  });
}

export function uploadInvoice(params) {
    return axios({
        url: "/udiwms/inout/invoice/uploadInvoice",
        method: "post",
        data: params
    });
}

export function deleteInvoiceByOrderFk(params) {
    return axios({
        url: "/udiwms/inout/invoice/deleteInvoiceByOrderFk",
        method: "post",
        data: params
    });
}

export function checkInvoiceCode(params) {
    return axios({
        url: "/udiwms/inout/invoice/checkInvoiceCode",
        method: "post",
        data: params
    });
}

export function updateOrder(params) {
  return axios({
    url: "/udiwms/inout/order/updateOrder",
    method: "post",
    data: params
  });
}

export function filterBizOrderList(params) {
  return axios({
    url: "/udiwms/inout/bizDetail/filterBizOrderList",
    method: "get",
    params: params
  });
}

export function addBizProduct(params) {
  return axios({
    url: "/udiwms/inout/order/refrshInvoice",
    method: "post",
    data: params
  });
}





