/**
 * Created by lk on 17/6/4.
 */
import axios from '@/utils/request'

// 获取列表
export function stockOrderList(query) {
  return axios({
    url: "/udiwms/stock/order/filter",
    method: "get",
    params: query
  });
}


// 获取列表
export function stockListDetail(query) {
  return axios({
    url: "/udiwms/stock/order/filterDetail",
    method: "get",
    params: query
  });
}

export function stockOrderDetail(query) {
  return axios(
    {
      url: "/udiwms/stock/order/detail/filter",
      method: "get",
      params: query
    }
  )
}

export function stockOrderDetail2(query) {
  return axios(
    {
      url: "/udiwms/stock/order/detail/filter2",
      method: "get",
      params: query
    }
  )
}

export function stockOrderDetailTemp(query) {
  return axios(
    {
      url: "/udiwms/stock/order/detail/temp/filter",
      method: "get",
      params: query
    }
  )
}


export function insertStockOrderWeb(query) {
  return axios({
    url: "/udiwms/stock/order/insertWeb",
    method: "post",
    data: query
  });
}


export function deleteStockOrderById(query) {
  return axios({
    url: "/udiwms/stock/order/delete",
    method: "post",
    data: query
  });
}

export function deleteErrorStockOrderById(query) {
  return axios({
    url: "/udiwms/stock/order/error/delete",
    method: "post",
    data: query
  });
}

export function deleteStockOrderDetailById(query) {
  return axios({
    url: "/udiwms/stock/order/detail/delete",
    method: "post",
    data: query
  });
}

export function deleteStockOrderDetailTempById(query) {
  return axios({
    url: "/udiwms/stock/order/detail/temp/delete",
    method: "post",
    data: query
  });
}


export function submitStockOrder(query) {
  return axios({
    url: "/udiwms/stock/order/submit",
    method: "get",
    params: query
  });
}

export function updateStockOrder(query) {
  return axios({
    url: "/udiwms/stock/order/update",
    method: "post",
    data: query
  });
}


export function submitNewStockOrder(query) {
  return axios({
    url: "/udiwms/stock/order/new/submit",
    method: "get",
    params: query
  });
}

export function repealSubmitNewStockOrder(query) {
  return axios({
    url: "/udiwms/stock/order/new/repealSubmit",
    method: "get",
    params: query
  });
}

export function submitStockOrderError(query) {
  return axios({
    url: "/udiwms/stock/order/error/submit",
    method: "get",
    params: query
  });
}

export function uploadStockOrderDetailCount(query) {
  return axios(
    {
      url: "/udiwms/stock/order/detail/uploadCount",
      method: "get",
      params: query
    }
  )
}

export function getStockOrderDetailInstrument(query) {
  return axios(
    {
      url: "/udiwms/stock/order/detail/getInstrument",
      method: "get",
      params: query
    }
  )
}

export function getStockOrderDetailInstrumentById(query) {
  return axios(
    {
      url: "/udiwms/stock/order/detail/getInstrumentById",
      method: "post",
      data: query
    }
  )
}

export function addStockOrderDetailFromCode(query) {
  return axios(
    {
      url: "/udiwms/stock/order/detail/addFromCode",
      method: "get",
      params: query
    }
  )
}

export function addStockOrderDetailFromCodeById(query) {
  return axios(
    {
      url: "/udiwms/stock/order/detail/addFromCodeById",
      method: "get",
      params: query
    }
  )
}

export function stockOrderDetailQueryProduct(query) {
  return axios(
    {
      url: "/udiwms/stock/order/detail/queryProduct",
      method: "get",
      params: query
    }
  )
}

export function stockOrderDetailFilterProduct(query) {
  return axios(
    {
      url: "/udiwms/stock/order/detail/filterProduct",
      method: "get",
      params: query
    }
  )
}

export function filterAllProduct(query) {
  return axios(
    {
      url: "/udiwms/inner/order/filterProduct",
      method: "get",
      params: query
    }
  )
}


export function uploadStockOrderDetail(query) {
  return axios(
    {
      url: "/udiwms/stock/order/detail/upload",
      method: "get",
      params: query
    }
  )
}

export function copyStockOrderDetail(query) {
  return axios(
    {
      url: "/udiwms/stock/order/detail/copy",
      method: "get",
      params: query
    }
  )
}


export function generateStockOrderQRCodeText(query) {
  return axios({
    url: "/udiwms/stock/order/qrcode/generate/text",
    method: "post",
    data: query
  });
}




export function stockOrderGenerateBillNo(query) {
  return axios({
    url: "/udiwms/stock/order/generateBillNo",
    method: "get",
    params: query
  });
}

export function generateBillNoInt(query) {
  return axios({
    url: "/udiwms/stock/order/generateBillNoInt",
    method: "get",
    params: query
  });
}


export function supplementOrder(query) {
  return axios({
    url: "/udiwms/stock/order/supplementOrder",
    method: 'get',
    params: query
  });
}


export function stockOrderChange(query) {

  return axios({
    url: "/udiwms/stock/order/change",
    method: "post",
    data: query
  });
}


export function updateStatus(query) {

  return axios({
    url: "/spms/inout/order/web/updateStatus",
    method: "post",
    data: query
  });
}








