import axios from "@/utils/request";


export function filterLog(query) {
  return axios({
    url: "/spssync/download/basic/udiinfo/filter",
    method: "get",
    params: query
  });
}

export function deleteLog(query) {
  return axios({
    url: "/spssync/download/basic/udiinfo/deleteByStatus",
    method: "post",
    data: query
  });
}

export function findConfig(query) {
  return axios({
    url: "/system/param/syncData/config",
    method: "get",
    params: query
  });
}

export function downloadNow(params) {
  return axios({
    url: "/spsync/download/now",
    method: "get",
    params: params
  });
}
