import axios from "@/utils/request";


export function filterLog(query) {
    return axios({
        url: "/udiwms/thrProducts/exportLog/filter",
        method: "get",
        params: query
    });
}
export function deleteLog(query) {
    return axios({
        url: "/udiwms/thrProducts/exportLog/deleteLog",
        method: "post",
        data: query
    });
}

export function downloadLog(query) {
    return axios({
        url: "/udiwms/thrProducts/exportLog/download",
        method: "get",
        params: query
    });
}
export function exportExcel(query) {
    return axios({
        url: "/udiwms/thrProducts/importLog/export",
        method: "post",
        data: query
    });
}

export function exportExcelAll(query) {
  return axios({
    url: "/udiwms/thrProducts/importLog/exportAll",
    method: "post",
    data: query
  });
}

